View Issue Details

IDProjectCategoryView StatusLast Update
0031501RunnerHTML5Public2019-11-28 14:08
ReporterScott DunbarAssigned ToLuke Brown 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ResolvedResolutionFixed 
PlatformHTML5OSWindows 10OS Version
Product Version2.2.4 
Target Version2.3.0Fixed in Version2.3.0 
Summary0031501: HTML5: Some instance variables are not throwing an error when being assigned the wrong type
DescriptionIssue:
 Certain instance variables are not throwing an error when being assigned the wrong type, windows platform correctly errors on the same variables:

The following do not error on HTML5 when being assigned a string value, but do on windows:

friction
gravity
gravity_direction
layer
path_endaction
path_orientation
path_position
path_positionprevious
path_scale
path_speed
persistent
timeline_index
timeline_position
timeline_speed
visible
xprevious
xstart
yprevious
ystart
Steps To Reproduce1. import attached project
1b. run project on HTML5
2. use space bar to set which instance variable to assign
3. press enter to perform the assign
4. open developer tools
5. observe no error
6. perform same test on same variable on windows platform
7. observe error
TagsNo tags attached.
1.4 Found In
2.x Runtime Found In2.2.4.374
2.x Runtime Verified In

Activities

Scott Dunbar

2019-11-18 14:37

Adminstrator  

typeCheck.yyz (23,292 bytes)

Luke Brown

2019-11-25 11:36

Developer   ~0065152

Also found that the following variables had the same issue while fixing the variables described, so these have also been fixed:

solid
persistent
image_alpha
image_speed

Luke Brown

2019-11-26 11:27

Developer   ~0065159

fixed in gitlab